## openjk 0~20250523.2f6abb4+dfsg

=== CMakeLists.txt ===
#============================================================================
# Copyright (C) 2013 - 2018, OpenJK contributors
#
# This file is part of the OpenJK source code.
#
# OpenJK is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#============================================================================

cmake_minimum_required(VERSION 3.1)
set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9" CACHE STRING "Minimum OS X deployment version")

set(InOpenJK ON)

set(ProjectName "OpenJK" CACHE STRING "Project Name")
project(${ProjectName})

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

#=============================================================================
#
# Customizable options
#
#=============================================================================
option(BuildPortableVersion "Build portable version (does not read or write files from your user/home directory" OFF)

option(BuildMPEngine "Whether to create projects for the MP client (openjk.exe)" ON)
option(BuildMPRdVanilla "Whether to create projects for the MP default renderer (rd-vanilla_x86.dll)" ON)
option(BuildMPDed "Whether to create projects for the MP dedicated server (openjkded.exe)" ON)
option(BuildMPGame "Whether to create projects for the MP server-side gamecode (jampgamex86.dll)" ON)
option(BuildMPCGame "Whether to create projects for the MP clientside gamecode (cgamex86.dll)" ON)
option(BuildMPUI "Whether to create projects for the MP UI code (uix86.dll)" ON)
option(BuildMPRend2 "Whether to create projects for the EXPERIMENTAL MP rend2 renderer (rd-rend2_x86.dll)" ON)

option(BuildSPEngine "Whether to create projects for the SP engine (openjk_sp.exe)" ON)
option(BuildSPGame "Whether to create projects for the SP gamecode (jagamex86.dll)" ON)
option(BuildSPRdVanilla "Whether to create projects for the SP default renderer (rdsp-vanilla_x86.dll)" ON)

option(BuildJK2SPEngine "Whether to create projects for the jk2 SP engine (openjo_sp.exe)" OFF)
option(BuildJK2SPGame "Whether to create projects for the jk2 sp gamecode mod (jk2gamex86.dll)" OFF)
option(BuildJK2SPRdVanilla "Whether to create projects for the jk2 sp renderer (rdjosp-vanilla_x86.dll)" OFF)

option(BuildTests "Whether to build automatic unit tests (requires Boost)" OFF)
option(UseAddressSanitizer "Whether to enable runtime address sanitizer" OFF)
option(UseUndefinedSanitizer "Whether to enable runtime Undefined Behavior sanitizer" OFF)

include(CMakeDependentOption)
cmake_dependent_option(BuildSymbolServer "Build WIP Windows Symbol Server (experimental and unused)" OFF "NOT WIN32 OR NOT MSVC" OFF)

# Configure the use of bundled libraries.  By default, we assume the user is on
# a platform that does not require any bundling.
#
# Note that we always use the bundled copy of minizip, since it is modified to
# use Z_Malloc.

set(UseInternalOpenALDefault OFF)
set(UseInternalZlibDefault   OFF)
set(UseInternalPNGDefault    OFF)
set(UseInternalJPEGDefault   OFF)
set(UseInternalSDL2Default   OFF)

if(UseInternalLibs OR WIN32)
  set(UseInternalOpenALDefault ON)
  set(UseInternalZlibDefault   ON)
  set(UseInternalPNGDefault    ON)
  set(UseInternalJPEGDefault   ON)
  set(UseInternalSDL2Default   ON)
endif()

if(APPLE)
  set(UseInternalJPEGDefault ON)
  set(UseInternalPNGDefault  ON)
endif()

option(UseInternalOpenAL "If set, use bundled OpenAL."  ${UseInternalOpenALDefault})
option(UseInternalZlib   "If set, use bundled zlib."    ${UseInternalZlibDefault})
option(UseInternalPNG    "If set, use bundled libpng."  ${UseInternalPNGDefault})
option(UseInternalJPEG   "If set, use bundled libjpeg." ${UseInternalJPEGDefault})
option(UseInternalSDL2   "If set, use bundled SDL2."    ${UseInternalSDL2Default})

# This option won't appear on non-Apple platforms.
if(APPLE)
  option(MakeApplicationBundles "Whether to build .app application bundles for engines built" ON)
endif()

#=============================================================================
#
# Custom CMake Modules needed
#
#=============================================================================
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/Modules")

if(CMAKE_EXPORT_COMPILE_COMMANDS)
	add_custom_target(
		copy-compile-commands ALL
		${CMAKE_COMMAND} -E copy_if_different
		${CMAKE_BINARY_DIR}/compile_commands.json
		${CMAKE_CURRENT_LIST_DIR})
endif()

#=============================================================================
#
# Architecture/OS defines
#
#=============================================================================
# ${Architecture} must match ARCH_STRING in q_platform.h,
# and is used in DLL names (jagamex86.dll, jagamex86.dylib, jagamei386.so).
if(WIN32)
	set(X86 ON)
	if(CMAKE_SIZEOF_VOID_P MATCHES "8")
		set(Architecture "x86_64")
		set(WIN64 TRUE)
	else()
		set(Architecture "x86")
		set(WIN64 FALSE)
	endif()
else()
	set(X86 OFF)
	if(CMAKE_SYSTEM_PROCESSOR MATCHES "^(arm64|aarch64)$")
		set(Architecture "arm64")
		add_definitions(-DPNG_ARM_NEON_OPT=0)
	elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
		set(Architecture "arm")
	elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^i.86$")
		set(X86 ON)
		if(APPLE)
			set(Architecture "x86")
		else()
			# e.g. Linux
			set(Architecture "i386")
		endif()
	elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^x86.64$")
		set(X86 ON)
		set(Architecture "x86_64")
	elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "powerpc")
		set(Architecture "ppc")
	elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "powerpc64")
		set(Architecture "ppc64")
	else()
		set(Architecture "${CMAKE_SYSTEM_PROCESSOR}")
	endif()
endif()

message(STATUS "Architecture is ${Architecture}")

if(WIN32 AND CMAKE_VERSION VERSION_LESS "3.4")
	message(WARNING "Building on Windows platform with CMake version less than 3.4 is deprecated. Manifest file will fail to be included.")
endif()

#=============================================================================
#
# Binary names
#
#=============================================================================
set(SPEngine "openjk_sp.${Architecture}")
set(SPGame "jagame${Architecture}")
set(SPRDVanillaRenderer "rdsp-vanilla_${Architecture}")
set(MPEngine "openjk.${Architecture}")
set(MPVanillaRenderer "rd-vanilla_${Architecture}")
set(MPDed "openjkded.${Architecture}")
set(MPGame "jampgame${Architecture}")
set(MPCGame "cgame${Architecture}")
set(MPUI "ui${Architecture}")
set(MPRend2 "rd-rend2_${Architecture}")
set(JK2SPEngine "openjo_sp.${Architecture}")
set(JK2SPGame "jospgame${Architecture}")
set(JK2SPVanillaRenderer "rdjosp-vanilla_${Architecture}")
set(AssetsPk3 "openjk-${Architecture}.pk3")
# Library names
set(MPBotLib "botlib")
set(SharedLib "shared")

#=============================================================================
#
# Paths
#
#=============================================================================
set(SPDir "${CMAKE_SOURCE_DIR}/code")
set(MPDir "${CMAKE_SOURCE_DIR}/codemp")
set(JK2SPDir "${CMAKE_SOURCE_DIR}/codeJK2")
set(SharedDir ${CMAKE_SOURCE_DIR}/shared)
set(OpenJKLibDir "${CMAKE_SOURCE_DIR}/lib")
set(GSLIncludeDirectory "${OpenJKLibDir}/gsl-lite/include")

include(InstallConfig)

#=============================================================================
#
# Compiler definitions/flags
#
#=============================================================================

# Operating system settings
if(WIN64)
	set(SharedDefines ${SharedDefines} "WIN64")
endif()

if (APPLE)
	set(SharedDefines ${SharedDefines} "MACOS_X")
endif()

if (NOT WIN32 AND NOT APPLE)
	set(SharedDefines ${SharedDefines} "ARCH_STRING=\"${Architecture}\"")
endif()

if(CMAKE_SYSTEM_NAME MATCHES "BSD")
  add_definitions(-DIOAPI_NO_64)
endif()

# Compiler settings
if(MSVC)
	set(SharedDefines ${SharedDefines} "NOMINMAX")
	set(SharedDefines ${SharedDefines} "_CRT_SECURE_NO_WARNINGS")
	set(SharedDefines ${SharedDefines} "_SCL_SECURE_NO_WARNINGS")
	set(SharedDefines ${SharedDefines} "_CRT_NONSTDC_NO_DEPRECATE")

	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /arch:SSE2")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /MP")

	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:SSE2")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")

	# We don't try to control symbol visibility under MSVC.
	set(OPENJK_VISIBILITY_FLAGS "")
elseif (("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU") OR ("${CMAKE_C_COMPILER_ID}" MATCHES "Clang"))
	# I hope this doesn't come back to bite me in the butt later on.
	# Realistically though, can the C and CXX compilers be different?

	# Visibility can't be set project-wide -- it needs to be specified on a
	# per-target basis.  This is primarily due to the bundled copy of ZLib.
	# ZLib explicitly declares symbols hidden, rather than defaulting to hidden.
	#
	# Note that -fvisibility=hidden is stronger than -fvisibility-inlines-hidden.
	set(OPENJK_VISIBILITY_FLAGS "-fvisibility=hidden")

	# removes the -rdynamic flag at linking (which causes crashes for some reason)
	set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
	set(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")

	if(UseAddressSanitizer)
		# also raise stack size drastically (to 64MiB), since the sanitizer adds overhead to stack frames
		add_compile_options(-fsanitize=address)
		add_link_options(-fsanitize=address -z stack-size=4000000)
	endif()
	if(UseUndefinedSanitizer)
		add_compile_options(-fsanitize=undefined)
		add_link_options(-fsanitize=undefined)
	endif()

	# additional flags for debug configuration
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ggdb")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb")

	if (X86)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
	endif()

	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O3")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")

	# enable somewhat modern C++
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

	if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-comment")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsigned-char")
		if (X86)
			# "x86 vm will crash without -mstackrealign since MMX
			# instructions will be used no matter what and they
			# corrupt the frame pointer in VM calls"
			# -ioquake3 Makefile
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mstackrealign")
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mfpmath=sse")
		endif()

		if(WIN32)
			# Link libgcc and libstdc++ statically
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -static-libgcc")
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libgcc")
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libstdc++")
		endif()
	elseif("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-comment")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsigned-char")
	endif()

	if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-invalid-offsetof")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-write-strings")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-comment")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsigned-char")
		if (X86)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mstackrealign")
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mfpmath=sse")
		endif()
	elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-write-strings")
		#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-writable-strings")

=== code/game/CMakeLists.txt ===
#============================================================================
# Copyright (C) 2013 - 2018, OpenJK contributors
#
# This file is part of the OpenJK source code.
#
# OpenJK is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#============================================================================

# Make sure the user is not executing this script directly
if(NOT InOpenJK)
	message(FATAL_ERROR "Use the top-level cmake script!")
endif(NOT InOpenJK)

set(SPGameDefines ${SharedDefines} "SP_GAME")
set(SPGameIncludeDirectories
	${SharedDir}
	${SPDir}
	"${SPDir}/game"
	"${GSLIncludeDirectory}"
	"${CMAKE_BINARY_DIR}/shared"
	)

if(WIN32)
	set(SPGameLibraries "winmm")
endif(WIN32)

set(SPGameGameFiles
	"${SPDir}/game/AI_Animal.cpp"
	"${SPDir}/game/AI_AssassinDroid.cpp"
	"${SPDir}/game/AI_Atst.cpp"
	"${SPDir}/game/AI_BobaFett.cpp"
	"${SPDir}/game/AI_Civilian.cpp"
	"${SPDir}/game/AI_Default.cpp"
	"${SPDir}/game/AI_Droid.cpp"
	"${SPDir}/game/AI_GalakMech.cpp"
	"${SPDir}/game/AI_Grenadier.cpp"
	"${SPDir}/game/AI_HazardTrooper.cpp"
	"${SPDir}/game/AI_Howler.cpp"
	"${SPDir}/game/AI_ImperialProbe.cpp"
	"${SPDir}/game/AI_Interrogator.cpp"
	"${SPDir}/game/AI_Jedi.cpp"
	"${SPDir}/game/AI_Mark1.cpp"
	"${SPDir}/game/AI_Mark2.cpp"
	"${SPDir}/game/AI_MineMonster.cpp"
	"${SPDir}/game/AI_Rancor.cpp"
	"${SPDir}/game/AI_Remote.cpp"
	"${SPDir}/game/AI_RocketTrooper.cpp"
	"${SPDir}/game/AI_SaberDroid.cpp"
	"${SPDir}/game/AI_SandCreature.cpp"
	"${SPDir}/game/AI_Seeker.cpp"
	"${SPDir}/game/AI_Sentry.cpp"
	"${SPDir}/game/AI_Sniper.cpp"
	"${SPDir}/game/AI_Stormtrooper.cpp"
	"${SPDir}/game/AI_Tusken.cpp"
	"${SPDir}/game/AI_Utils.cpp"
	"${SPDir}/game/AI_Wampa.cpp"
	"${SPDir}/game/g_active.cpp"
	"${SPDir}/game/g_breakable.cpp"
	"${SPDir}/game/g_camera.cpp"
	"${SPDir}/game/g_client.cpp"
	"${SPDir}/game/g_cmds.cpp"
	"${SPDir}/game/g_combat.cpp"
	"${SPDir}/game/g_emplaced.cpp"
	"${SPDir}/game/g_functions.cpp"
	"${SPDir}/game/g_fx.cpp"
	"${SPDir}/game/g_inventory.cpp"
	"${SPDir}/game/g_itemLoad.cpp"
	"${SPDir}/game/g_items.cpp"
	"${SPDir}/game/g_main.cpp"
	"${SPDir}/game/g_mem.cpp"
	"${SPDir}/game/g_misc.cpp"
	"${SPDir}/game/g_misc_model.cpp"
	"${SPDir}/game/g_missile.cpp"
	"${SPDir}/game/g_mover.cpp"
	"${SPDir}/game/g_nav.cpp"
	"${SPDir}/game/g_navigator.cpp"
	"${SPDir}/game/g_navnew.cpp"
	"${SPDir}/game/g_object.cpp"
	"${SPDir}/game/g_objectives.cpp"
	"${SPDir}/game/g_rail.cpp"
	"${SPDir}/game/g_ref.cpp"
	"${SPDir}/game/g_roff.cpp"
	"${SPDir}/game/g_savegame.cpp"
	"${SPDir}/game/g_session.cpp"
	"${SPDir}/game/g_spawn.cpp"
	"${SPDir}/game/g_svcmds.cpp"
	"${SPDir}/game/g_target.cpp"
	"${SPDir}/game/G_Timer.cpp"
	"${SPDir}/game/g_trigger.cpp"
	"${SPDir}/game/g_turret.cpp"
	"${SPDir}/game/g_usable.cpp"
	"${SPDir}/game/g_utils.cpp"
	"${SPDir}/game/g_weapon.cpp"
	"${SPDir}/game/g_weaponLoad.cpp"
	"${SPDir}/game/genericparser2.cpp"
	"${SPDir}/game/NPC.cpp"
	"${SPDir}/game/NPC_behavior.cpp"
	"${SPDir}/game/NPC_combat.cpp"
	"${SPDir}/game/NPC_goal.cpp"
	"${SPDir}/game/NPC_misc.cpp"
	"${SPDir}/game/NPC_move.cpp"
	"${SPDir}/game/NPC_reactions.cpp"
	"${SPDir}/game/NPC_senses.cpp"
	"${SPDir}/game/NPC_sounds.cpp"
	"${SPDir}/game/NPC_spawn.cpp"
	"${SPDir}/game/NPC_stats.cpp"
	"${SPDir}/game/NPC_utils.cpp"
	"${SPDir}/game/Q3_Interface.h"
	"${SPDir}/game/wp_atst.cpp"
	"${SPDir}/game/wp_blaster_pistol.cpp"
	"${SPDir}/game/wp_blaster_rifle.cpp"
	"${SPDir}/game/wp_bot_laser.cpp"
	"${SPDir}/game/wp_bowcaster.cpp"
	"${SPDir}/game/wp_concussion.cpp"
	"${SPDir}/game/wp_demp2.cpp"
	"${SPDir}/game/wp_det_pack.cpp"
	"${SPDir}/game/wp_disruptor.cpp"
	"${SPDir}/game/wp_emplaced_gun.cpp"
	"${SPDir}/game/wp_flechette.cpp"
	"${SPDir}/game/wp_melee.cpp"
	"${SPDir}/game/wp_noghri_stick.cpp"
	"${SPDir}/game/wp_repeater.cpp"
	"${SPDir}/game/wp_rocket_launcher.cpp"
	"${SPDir}/game/wp_saber.cpp"
	"${SPDir}/game/wp_saberLoad.cpp"
	"${SPDir}/game/wp_stun_baton.cpp"
	"${SPDir}/game/wp_thermal.cpp"
	"${SPDir}/game/wp_trip_mine.cpp"
	"${SPDir}/game/wp_tusken.cpp"
	"${SPDir}/game/Q3_Interface.cpp"
	"${SPDir}/game/bg_misc.cpp"
	"${SPDir}/game/bg_pangles.cpp"
	"${SPDir}/game/bg_panimate.cpp"
	"${SPDir}/game/bg_pmove.cpp"
	"${SPDir}/game/bg_slidemove.cpp"
	"${SPDir}/game/AnimalNPC.cpp"
	"${SPDir}/game/bg_vehicleLoad.cpp"
	"${SPDir}/game/FighterNPC.cpp"
	"${SPDir}/game/g_vehicles.cpp"
	"${SPDir}/game/SpeederNPC.cpp"
	"${SPDir}/game/WalkerNPC.cpp"
	"${SPDir}/game/ai.h"
	"${SPDir}/game/anims.h"
	"${SPDir}/game/b_local.h"
	"${SPDir}/game/b_public.h"
	"${SPDir}/game/bg_local.h"
	"${SPDir}/game/bg_public.h"
	"${SPDir}/game/bset.h"
	"${SPDir}/game/bstate.h"
	"${SPDir}/game/channels.h"
	"${SPDir}/game/common_headers.h"
	"${SPDir}/game/dmstates.h"
	"${SPDir}/game/events.h"
	"${SPDir}/game/fields.h"
	"${SPDir}/game/g_functions.h"
	"${SPDir}/game/g_items.h"
	"${SPDir}/game/g_local.h"
	"${SPDir}/game/g_nav.h"
	"${SPDir}/game/g_navigator.h"
	"${SPDir}/game/g_public.h"
	"${SPDir}/game/g_roff.h"
	"${SPDir}/game/g_shared.h"
	"${SPDir}/game/genericparser2.h"
	"${SPDir}/game/ghoul2_shared.h"
	"${SPDir}/game/hitlocs.h"
	"${SPDir}/game/npc_headers.h"
	"${SPDir}/game/objectives.h"
	"${SPDir}/game/say.h"
	"${SPDir}/game/statindex.h"
	"${SPDir}/game/surfaceflags.h"
	"${SPDir}/game/teams.h"
	"${SPDir}/game/weapons.h"
	"${SPDir}/game/w_local.h"
	"${SPDir}/game/wp_saber.h"
	"${SPDir}/game/g_vehicles.h"
	)
source_group("game" FILES ${SPGameGameFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameGameFiles})

set(SPGameCGameFiles
	"${SPDir}/cgame/cg_camera.cpp"
	"${SPDir}/cgame/cg_consolecmds.cpp"
	"${SPDir}/cgame/cg_credits.cpp"
	"${SPDir}/cgame/cg_draw.cpp"
	"${SPDir}/cgame/cg_drawtools.cpp"
	"${SPDir}/cgame/cg_effects.cpp"
	"${SPDir}/cgame/cg_ents.cpp"
	"${SPDir}/cgame/cg_event.cpp"
	"${SPDir}/cgame/cg_headers.cpp"
	"${SPDir}/cgame/cg_info.cpp"
	"${SPDir}/cgame/cg_lights.cpp"
	"${SPDir}/cgame/cg_localents.cpp"
	"${SPDir}/cgame/cg_main.cpp"
	"${SPDir}/cgame/cg_marks.cpp"
	"${SPDir}/cgame/cg_players.cpp"
	"${SPDir}/cgame/cg_playerstate.cpp"
	"${SPDir}/cgame/cg_predict.cpp"
	"${SPDir}/cgame/cg_scoreboard.cpp"
	"${SPDir}/cgame/cg_servercmds.cpp"
	"${SPDir}/cgame/cg_snapshot.cpp"
	"${SPDir}/cgame/cg_syscalls.cpp"
	"${SPDir}/cgame/cg_text.cpp"
	"${SPDir}/cgame/cg_view.cpp"
	"${SPDir}/cgame/cg_weapons.cpp"
	"${SPDir}/cgame/FX_ATSTMain.cpp"
	"${SPDir}/cgame/FX_Blaster.cpp"
	"${SPDir}/cgame/FX_Bowcaster.cpp"
	"${SPDir}/cgame/FX_BryarPistol.cpp"
	"${SPDir}/cgame/FX_Concussion.cpp"
	"${SPDir}/cgame/FX_DEMP2.cpp"
	"${SPDir}/cgame/FX_Disruptor.cpp"
	"${SPDir}/cgame/FX_Emplaced.cpp"
	"${SPDir}/cgame/FX_Flechette.cpp"
	"${SPDir}/cgame/FX_HeavyRepeater.cpp"
	"${SPDir}/cgame/FX_NoghriShot.cpp"
	"${SPDir}/cgame/FX_RocketLauncher.cpp"
	"${SPDir}/cgame/FX_TuskenShot.cpp"
	"${SPDir}/cgame/FxPrimitives.cpp"
	"${SPDir}/cgame/FxScheduler.cpp"
	"${SPDir}/cgame/FxSystem.cpp"
	"${SPDir}/cgame/FxTemplate.cpp"
	"${SPDir}/cgame/FxUtil.cpp"
	"${SPDir}/cgame/cg_camera.h"
	"${SPDir}/cgame/animtable.h"
	"${SPDir}/cgame/cg_headers.h"
	"${SPDir}/cgame/cg_local.h"
	"${SPDir}/cgame/cg_media.h"
	"${SPDir}/cgame/cg_public.h"
	"${SPDir}/cgame/common_headers.h"
	"${SPDir}/cgame/FxPrimitives.h"
	"${SPDir}/cgame/FxScheduler.h"
	"${SPDir}/cgame/FxSystem.h"
	"${SPDir}/cgame/FxUtil.h"
	"${SPDir}/cgame/strip_objectives.h"
	)
source_group("cgame" FILES ${SPGameCGameFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameCGameFiles})

set(SPGameUIFiles
	"${SPDir}/ui/gameinfo.cpp"
	"${SPDir}/ui/gameinfo.h"
	)
source_group("ui" FILES ${SPGameUIFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameUIFiles})

set(SPGameCommonFiles
	"${SPDir}/qcommon/tri_coll_test.cpp"
	"${SPDir}/qcommon/sstring.h"
	"${SPDir}/qcommon/tags.h"
	"${SPDir}/qcommon/timing.h"
	"${SPDir}/qcommon/q_shared.cpp"
	"${SPDir}/qcommon/q_shared.h"
	"${SPDir}/qcommon/ojk_i_saved_game.h"
	"${SPDir}/qcommon/ojk_saved_game_class_archivers.h"
	"${SPDir}/qcommon/ojk_saved_game_helper.h"
	"${SPDir}/qcommon/ojk_saved_game_helper_fwd.h"
	"${SPDir}/qcommon/ojk_scope_guard.h"
	${SharedCommonFiles}
	)
source_group("common" FILES ${SPGameCommonFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameCommonFiles})

set(SPGameCommonSafeFiles
	${SharedCommonSafeFiles}
	"${SharedDir}/qcommon/safe/files.h"
	"${SharedDir}/qcommon/safe/files.cpp"
	"${SPDir}/qcommon/safe/memory.h"
	)
source_group("common/safe" FILES ${SPGameCommonSafeFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameCommonSafeFiles})

set(SPGameIcarusFiles
	"${SPDir}/icarus/BlockStream.cpp"
	"${SPDir}/icarus/IcarusImplementation.cpp"
	"${SPDir}/icarus/Sequence.cpp"
	"${SPDir}/icarus/Sequencer.cpp"
	"${SPDir}/icarus/TaskManager.cpp"
	"${SPDir}/icarus/blockstream.h"
	"${SPDir}/icarus/IcarusImplementation.h"
	"${SPDir}/icarus/IcarusInterface.h"
	"${SPDir}/icarus/sequence.h"
	"${SPDir}/icarus/sequencer.h"
	"${SPDir}/icarus/StdAfx.h"
	"${SPDir}/icarus/taskmanager.h"
	)
source_group("icarus" FILES ${SPGameIcarusFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameIcarusFiles})

set(SPGameRatlFiles
	"${SPDir}/Ratl/ratl.cpp"
	"${SPDir}/Ratl/array_vs.h"
	"${SPDir}/Ratl/bits_vs.h"
	"${SPDir}/Ratl/grid_vs.h"
	"${SPDir}/Ratl/handle_pool_vs.h"
	"${SPDir}/Ratl/hash_pool_vs.h"
	"${SPDir}/Ratl/heap_vs.h"
	"${SPDir}/Ratl/list_vs.h"
	"${SPDir}/Ratl/map_vs.h"
	"${SPDir}/Ratl/pool_vs.h"
	"${SPDir}/Ratl/queue_vs.h"
	"${SPDir}/Ratl/ratl_common.h"
	"${SPDir}/Ratl/scheduler_vs.h"
	"${SPDir}/Ratl/stack_vs.h"
	"${SPDir}/Ratl/string_vs.h"
	"${SPDir}/Ratl/vector_vs.h"
	)
source_group("ratl" FILES ${SPGameRatlFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameRatlFiles})

set(SPGameRavlFiles
	"${SPDir}/Ravl/CBounds.cpp"
	"${SPDir}/Ravl/CVec.cpp"
	"${SPDir}/Ravl/CBounds.h"
	"${SPDir}/Ravl/CMatrix.h"
	"${SPDir}/Ravl/CVec.h"
	)
source_group("ravl" FILES ${SPGameRavlFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameRavlFiles})

set(SPGameRuflFiles
	"${SPDir}/Rufl/hfile.cpp"
	"${SPDir}/Rufl/hstring.cpp"
	"${SPDir}/Rufl/hfile.h"
	"${SPDir}/Rufl/hstring.h"
	)
source_group("rufl" FILES ${SPGameRuflFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameRuflFiles})

set(SPGameRaglFiles
	"${SPDir}/Ragl/graph_region.h"
	"${SPDir}/Ragl/graph_triangulate.h"
	"${SPDir}/Ragl/graph_vs.h"
	"${SPDir}/Ragl/kdtree_vs.h"
	"${SPDir}/Ragl/ragl_common.h"
	)
source_group("ragl" FILES ${SPGameRaglFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameRaglFiles})

set(SPGameG2Files
	"${SPDir}/ghoul2/G2.h"
	"${SPDir}/ghoul2/ghoul2_gore.h"
	)
source_group("ghoul2" FILES ${SPGameG2Files})
set(SPGameFiles ${SPGameFiles} ${SPGameG2Files})

set(SPGameRendererFiles
	"${SPDir}/rd-common/mdx_format.h"
	"${SPDir}/rd-common/tr_types.h"
	)
source_group("renderer" FILES ${SPGameRendererFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameRendererFiles})

set(SPGameClientFiles
	"${SPDir}/client/vmachine.h"
	)
source_group("client" FILES ${SPGameClientFiles})
set(SPGameFiles ${SPGameFiles} ${SPGameClientFiles})

if(WIN32)
	set(SPGameWin32Files
		"${SPDir}/win32/game.rc")
	source_group("win32" FILES ${SPGameWin32Files})
	set(SPGameFiles ${SPGameFiles} ${SPGameWin32Files})
endif(WIN32)

add_library(${SPGame} SHARED ${SPGameFiles})

# Hide symbols not explicitly marked public.
set_property(TARGET ${SPGame} APPEND PROPERTY COMPILE_OPTIONS ${OPENJK_VISIBILITY_FLAGS})

if(NOT MSVC)
	# remove "lib" prefix for .so/.dylib files
	set_target_properties(${SPGame} PROPERTIES PREFIX "")
endif()

if(WIN32)
	install(TARGETS ${SPGame}
		RUNTIME
		DESTINATION "${JKAInstallDir}/OpenJK"
		COMPONENT ${JKASPClientComponent})
else(WIN32)
	if(MakeApplicationBundles AND BuildSPEngine)
		install(TARGETS ${SPGame}
			LIBRARY

=== debian/changelog ===
openjk (0~20250523.2f6abb4+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/p/debian/build-Allow-a-packager-to-override-GIT_TAG.patch,
    d/rules:
    Use Debian packaging version instead of `git describe --tags`

 -- Simon McVittie <smcv@debian.org>  Sat, 24 May 2025 14:07:05 +0100

=== debian/control ===
Source: openjk
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 icnsutils,
 imagemagick,
 libboost-test-dev,
 libjpeg-dev,
 libpng-dev,
 libsdl2-dev,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/openjk.git
Vcs-Browser: https://salsa.debian.org/games-team/openjk
Homepage: https://github.com/JACoders/OpenJK

Package: openjk-academy
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 game-data-packager-runtime (>= 75~),
 jedi-academy-data (>= 1.01+41) | game-data-packager,
 openjk-common (= ${binary:Version}),
Description: Jedi Academy single-player and multiplayer game engine
 Star Wars Jedi Knight: Jedi Academy is a first- and third-person
 action game set in the Star Wars universe, developed by Raven Software
 and first released in 2003.
 .
 This package contains the openjk_sp and openjk, the OpenJK single-player
 and multiplayer game engines for Jedi Academy, based on the 2013 GPL
 source release and modified to work on modern systems.
 It requires non-distributable game data files in the
 jedi-academy-data package, prepared using the game-data-packager tool.
 .
 Jedi Academy is a sequel to Star Wars Jedi Knight II: Jedi Outcast, for
 which an experimental engine is available in the openjk-outcast package.

Package: openjk-academy-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 jedi-academy-data (>= 1.01+41) | game-data-packager,
 openjk-common (= ${binary:Version}),
Description: Jedi Academy multiplayer game server
 Star Wars Jedi Knight: Jedi Academy is a first- and third-person
 action game set in the Star Wars universe, developed by Raven Software
 and first released in 2003.
 .
 This package contains openjkded, the OpenJK multiplayer dedicated server
 for Jedi Academy, based on the 2013 GPL source release and modified to work
 on modern systems. It also contains init scripts to run the server
 automatically; on systemd systems, multiple instances are supported.
 .
 OpenJK requires non-distributable game data files in the jedi-academy-data
 package, prepared using the game-data-packager tool.

Package: openjk-outcast
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 game-data-packager-runtime (>= 75~),
 jedi-outcast-data (>= 1.04+41) | game-data-packager,
 openjk-common (= ${binary:Version}),
Description: experimental Jedi Outcast single-player game engine
 Star Wars Jedi Knight II: Jedi Outcast is a first- and third-person
 action game set in the Star Wars universe, developed by Raven Software
 and first released in 2002.
 .
 This package contains openjo_sp, the OpenJK single-player game engine for
 Jedi Outcast, based on the 2013 GPL source release and modified to work
 on modern systems. It requires non-distributable game data files in the
 jedi-outcast-data package, prepared using the game-data-packager tool.
 .
 This version of the OpenJK engine is a mixture of code originating from
 Jedi Outcast and its sequel Jedi Academy; it is not currently considered to
 be stable, and does not have a multiplayer component. See the openjk-academy
 package for the sequel, Star Wars Jedi Knight: Jedi Academy, which is more
 stable and does support multiplayer.

Package: openjk-common
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 game-data-packager,
Description: common files for all OpenJK games
 This package contains files shared by all versions of the OpenJK engine.
 It is used by the openjk-academy, openjk-outcast and openjk-academy-server
 packages.
 .
 It is unnecessary to install this package unless you are installing one
 of the packages that depends on it.

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/[~+](dfsg|ds)[0-9]*$//,compression=xz,repacksuffix=+dfsg,pretty=0~%cd.%h" \
https://github.com/JACoders/OpenJK \
HEAD

## openjk 0~20251009.d1cb662%2Bdfsg

=== code/rd-vanilla/CMakeLists.txt ===
#============================================================================
# Copyright (C) 2013 - 2018, OpenJK contributors
#
# This file is part of the OpenJK source code.
#
# OpenJK is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#============================================================================

# Make sure the user is not executing this script directly
if(NOT InOpenJK)
	message(FATAL_ERROR "Use the top-level cmake script!")
endif(NOT InOpenJK)

if(BuildSPRdVanilla OR BuildJK2SPRdVanilla)

	set(SPRDVanillaRendererIncludeDirectories ${SPDir})
	set(SPRDVanillaRendererIncludeDirectories
		${SharedDir}
		${SPRDVanillaRendererIncludeDirectories}
		"${SPDir}/rd-vanilla"
		"${GSLIncludeDirectory}"
		)

	# Modular Renderer crap (let's hope this works..)

	# Defines
	set(SPRDVanillaDefines ${SharedDefines} "RENDERER" "_JK2EXE")

	# Files

	# GHOUL 2
	set(SPRDVanillaG2Files
		"${SPDir}/ghoul2/G2.h"
		"${SPDir}/ghoul2/ghoul2_gore.h"
		"${SPDir}/rd-vanilla/G2_API.cpp"
		"${SPDir}/rd-vanilla/G2_bolts.cpp"
		"${SPDir}/rd-vanilla/G2_bones.cpp"
		"${SPDir}/rd-vanilla/G2_misc.cpp"
		"${SPDir}/rd-vanilla/G2_surfaces.cpp"
		)
	source_group("ghoul2" FILES ${SPRDVanillaG2Files})
	set(SPRDVanillaFiles ${SPRDVanillaFiles} ${SPRDVanillaG2Files})

    # Transparently use either bundled or system jpeg.
    list(APPEND SPRDVanillaRendererIncludeDirectories ${JPEG_INCLUDE_DIR})
    list(APPEND SPRDVanillaRendererLibraries          ${JPEG_LIBRARIES})

    # Transparently use either bundled or system libpng.  Order is important --
    # libpng used zlib, so it must come before it on the linker command line.
    list(APPEND SPRDVanillaRendererIncludeDirectories ${PNG_INCLUDE_DIRS})
    list(APPEND SPRDVanillaRendererLibraries          ${PNG_LIBRARIES})

    # Transparently use either bundled or system zlib.
    list(APPEND SPRDVanillaRendererIncludeDirectories ${ZLIB_INCLUDE_DIR})
    list(APPEND SPRDVanillaRendererLibraries          ${ZLIB_LIBRARIES})

    # Transparently use our bundled minizip.
    list(APPEND SPRDVanillaRendererIncludeDirectories ${MINIZIP_INCLUDE_DIRS})
    list(APPEND SPRDVanillaRendererLibraries          ${MINIZIP_LIBRARIES})

    # Transparantly make use of all renderer directories
    list(APPEND SPRDVanillaRendererIncludeDirectories "${SPDir}/rd-common")
    list(APPEND SPRDVanillaRendererIncludeDirectories "${SPDir}/rd-vanilla")

	# Misc files
	set(SPRDVanillaCommonFiles
		"${SPDir}/qcommon/matcomp.cpp"
		"${SPDir}/qcommon/q_shared.cpp"
		"${SPDir}/qcommon/q_shared.h"
		"${SPDir}/qcommon/ojk_i_saved_game.h"
		"${SPDir}/qcommon/ojk_saved_game_class_archivers.h"
		"${SPDir}/qcommon/ojk_saved_game_helper.h"
		"${SPDir}/qcommon/ojk_saved_game_helper_fwd.h"
		"${SPDir}/qcommon/ojk_scope_guard.h"
		${SharedCommonFiles}
		)
	source_group("common" FILES ${SPRDVanillaCommonFiles})
	set(SPRDVanillaFiles ${SPRDVanillaFiles} ${SPRDVanillaCommonFiles})

	# Misc files
	set(SPRDVanillaCommonSafeFiles
		${SharedCommonSafeFiles}
		)
	source_group("common/safe" FILES ${SPRDVanillaCommonSafeFiles})
	set(SPRDVanillaFiles ${SPRDVanillaFiles} ${SPRDVanillaCommonSafeFiles})

	# main files
	set(SPRDVanillaMainFiles
		"${SPDir}/rd-vanilla/glext.h"
		"${SPDir}/rd-vanilla/qgl.h"
		"${SPDir}/rd-vanilla/tr_arb.cpp"
		"${SPDir}/rd-vanilla/tr_backend.cpp"
		"${SPDir}/rd-vanilla/tr_bsp.cpp"
		"${SPDir}/rd-vanilla/tr_cmds.cpp"
		"${SPDir}/rd-vanilla/tr_curve.cpp"
		"${SPDir}/rd-vanilla/tr_draw.cpp"
		"${SPDir}/rd-vanilla/tr_ghoul2.cpp"
		"${SPDir}/rd-vanilla/tr_image.cpp"
		"${SPDir}/rd-vanilla/tr_init.cpp"
		"${SPDir}/rd-vanilla/tr_light.cpp"
		"${SPDir}/rd-vanilla/tr_local.h"
		"${SPDir}/rd-vanilla/tr_main.cpp"
		"${SPDir}/rd-vanilla/tr_marks.cpp"
		"${SPDir}/rd-vanilla/tr_mesh.cpp"
		"${SPDir}/rd-vanilla/tr_model.cpp"
		"${SPDir}/rd-vanilla/tr_quicksprite.cpp"
		"${SPDir}/rd-vanilla/tr_quicksprite.h"
		"${SPDir}/rd-vanilla/tr_scene.cpp"
		"${SPDir}/rd-vanilla/tr_shade.cpp"
		"${SPDir}/rd-vanilla/tr_shade_calc.cpp"
		"${SPDir}/rd-vanilla/tr_shader.cpp"
		"${SPDir}/rd-vanilla/tr_shadows.cpp"
		"${SPDir}/rd-vanilla/tr_skin.cpp"
		"${SPDir}/rd-vanilla/tr_sky.cpp"
		"${SPDir}/rd-vanilla/tr_stl.cpp"
		"${SPDir}/rd-vanilla/tr_stl.h"
		"${SPDir}/rd-vanilla/tr_subs.cpp"
		"${SPDir}/rd-vanilla/tr_surface.cpp"
		"${SPDir}/rd-vanilla/tr_surfacesprites.cpp"
		"${SPDir}/rd-vanilla/tr_world.cpp"
		"${SPDir}/rd-vanilla/tr_WorldEffects.cpp"
		"${SPDir}/rd-vanilla/tr_WorldEffects.h"
		)
	source_group("renderer" FILES ${SPRDVanillaMainFiles})
	set(SPRDVanillaFiles ${SPRDVanillaFiles} ${SPRDVanillaMainFiles})

	set(SPRDVanillaRdCommonFiles
		"${SPDir}/rd-common/mdx_format.h"
		"${SPDir}/rd-common/tr_common.h"
		"${SPDir}/rd-common/tr_font.cpp"
		"${SPDir}/rd-common/tr_font.h"
		"${SPDir}/rd-common/tr_image_load.cpp"
		"${SPDir}/rd-common/tr_image_jpg.cpp"
		"${SPDir}/rd-common/tr_image_tga.cpp"
		"${SPDir}/rd-common/tr_image_png.cpp"
		"${SPDir}/rd-common/tr_noise.cpp"
		"${SPDir}/rd-common/tr_public.h"
		"${SPDir}/rd-common/tr_types.h")
	source_group("rd-common" FILES ${SPRDVanillaRdCommonFiles})
	set(SPRDVanillaFiles ${SPRDVanillaFiles} ${SPRDVanillaRdCommonFiles})

	find_package(OpenGL REQUIRED)
	set(SPRDVanillaRendererIncludeDirectories ${SPRDVanillaRendererIncludeDirectories} ${OPENGL_INCLUDE_DIR})
	set(SPRDVanillaRendererLibraries ${SPRDVanillaRendererLibraries} ${OPENGL_LIBRARIES})

	set(SPRDVanillaRendererIncludeDirectories ${SPRDVanillaRendererIncludeDirectories} ${OpenJKLibDir})

	function(add_sp_renderer_project ProjectName Label EngineName InstallDir Component)
		add_library(${ProjectName} SHARED ${SPRDVanillaFiles})
		if(NOT MSVC)
			# remove "lib" prefix for .so/.dylib files
			set_target_properties(${ProjectName} PROPERTIES PREFIX "")
		endif()

		if(WIN32)
			install(TARGETS ${ProjectName}
				RUNTIME
				DESTINATION ${InstallDir}
				COMPONENT ${Component})
		else(WIN32)
			if(MakeApplicationBundles AND (BuildSPEngine OR BuildJK2SPEngine))
				install(TARGETS ${ProjectName}
					LIBRARY
					DESTINATION "${InstallDir}/${EngineName}.app/Contents/MacOS/"
					COMPONENT ${Component})
			else()
				install(TARGETS ${ProjectName}
					LIBRARY
					DESTINATION ${InstallDir}
					COMPONENT ${Component})
			endif()
		endif()

		set_target_properties(${ProjectName} PROPERTIES COMPILE_DEFINITIONS "${SPRDVanillaDefines}")

		# Hide symbols not explicitly marked public.
		set_property(TARGET ${ProjectName} APPEND PROPERTY COMPILE_OPTIONS ${OPENJK_VISIBILITY_FLAGS})

		set_target_properties(${ProjectName} PROPERTIES INCLUDE_DIRECTORIES "${SPRDVanillaRendererIncludeDirectories}")
		set_target_properties(${ProjectName} PROPERTIES PROJECT_LABEL ${Label})

		target_link_libraries(${ProjectName} ${SPRDVanillaRendererLibraries})
	endfunction(add_sp_renderer_project)

	if(BuildSPRdVanilla)
		add_sp_renderer_project(${SPRDVanillaRenderer} "SP Vanilla Renderer" ${SPEngine} ${JKAInstallDir} ${JKASPClientComponent})
	endif(BuildSPRdVanilla)
	if(BuildJK2SPRdVanilla)
		set(SPRDVanillaDefines ${SPRDVanillaDefines} "JK2_MODE")
		add_sp_renderer_project(${JK2SPVanillaRenderer} "JK2 SP Vanilla Renderer" ${JK2SPEngine} ${JK2InstallDir} ${JK2SPClientComponent})
	endif(BuildJK2SPRdVanilla)

endif(BuildSPRdVanilla OR BuildJK2SPRdVanilla)

=== debian/changelog ===
openjk (0~20251009.d1cb662+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Remove Rules-Requires-Root, unnecessary since Debian 13
  * Normalize packaging (debputy reformat)
  * d/copyright: Remove outdated FSF postal address
  * d/salsa-ci.yml: Disable unnecessary build jobs
  * d/watch: Convert to uscan format v5

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 10:29:06 +0000
